This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 888331 - (CVE-2012-5645) CVE-2012-5645 freeciv: DoS (memory exhaustion or excessive CPU consumption) via malformed network packets
CVE-2012-5645 freeciv: DoS (memory exhaustion or excessive CPU consumption) v...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20121208,repor...
: Security
Depends On: 888333
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-18 09:07 EST by Jan Lieskovsky
Modified: 2013-01-07 04:09 EST (History)
1 user (show)

See Also:
Fixed In Version: Freeciv 2.3.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 04:09:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-12-18 09:07:52 EST
A denial of service flaw was found in the way the server component of Freeciv, a turn-based, multi-player, X based strategy game, processed certain packets (invalid packets with whole packet length lower than packet header size or syntactically valid packets, but whose processing would lead to an infinite loop). A remote attacker could send a specially-crafted packet that, when processed would lead to freeciv server to terminate (due to memory exhaustion) or become unresponsive (due to excessive CPU use).

References:
[1] http://aluigi.altervista.org/adv/freecivet-adv.txt
[2] https://bugs.gentoo.org/show_bug.cgi?id=447490
[3] http://freeciv.wikia.com/wiki/NEWS-2.3.3

Upstream bug report:
[4] http://gna.org/bugs/?20003

Relevant patch (against trunk):
[5] http://svn.gna.org/viewcvs/freeciv?view=revision&revision=21670
Comment 1 Jan Lieskovsky 2012-12-18 09:09:05 EST
This issue affects the versions of the freeciv package, as shipped with Fedora release of 16 and 17. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-12-18 09:09:38 EST
Created freeciv tracking bugs for this issue

Affects: fedora-all [bug 888333]
Comment 3 Jan Lieskovsky 2012-12-18 09:45:25 EST
CVE Request:
[6] http://www.openwall.com/lists/oss-security/2012/12/18/2
Comment 4 Jan Lieskovsky 2012-12-18 13:10:16 EST
The CVE identifier of CVE-2012-5645 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2012/12/18/5
Comment 5 Fedora Update System 2013-01-05 01:47:25 EST
freeciv-2.3.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-01-05 01:48:58 EST
freeciv-2.3.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.